LynceaAPI

Switch tenant

Verifies the user belongs to the target tenant, then issues a new tenant-scoped access token and refresh cookie.

POST
/api/v1/auth/switch-tenant
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.monitoring.crahe-arthur.com/api/v1/auth/switch-tenant" \  -H "Content-Type: application/json" \  -d '{    "tenantId": "018f7b9a-6f8d-4c1d-8d72-1bbecdadc101"  }'
{
  "accessToken": "eyJhbGciOi...",
  "user": {
    "id": "018f7b9a-57dd-4748-9e13-6e3e3e5b9eaf",
    "email": "admin@acme.example",
    "fullName": "Arthur Crahé"
  },
  "tenant": {
    "id": "018f7b9a-6f8d-4c1d-8d72-1bbecdadc101",
    "slug": "acme-monitoring",
    "orgRole": "owner"
  }
}